Stylus support

Compatible with  PhpStorm
43 198
Stylus language support

Download plugin

Selectors like `^[0]` and `../` does not work with highlight. Its very important for me.
Needs partial selector support. Unfortunately, without it this plugin is basically unusable for me.
I like this plugin so much but it doesn't support partial or parent references! It would be so nice if it's fixed in upcoming versions!
Has anybody been able to get this to work recursively? When I import a file (imported.styl) into my main.styl file and then go to work on the imported.styl file it doesn't go back and re-compile the main.styl. Am I doing something wrong?
Plugin fails with a style as follows. label[for="title"] clear both I am guessing the "for" is mistaken for a code loop.
ColdCold, plugin Stylus is bundled to WebStorm, so by default it's compatible with WebStorm. Did you try to install or update the plugin from disk? Also you could try to reinstall WebStorm
Does not load in WebStorm v9.0.3. "Stylus support" appears in red type in list of Plugins. The mouse-over error says "Plugin is incompatible with current WebStorm installation"
In last version of phpstorm(PhpStorm-141.89), error: "Plugin Stylus support is incompatible with current installation"
Known issues: 1. When hitting Enter after closing bracket "}" the next line is indented what is wrong 2. When using code suggestion and hitting Enter or Tab to use it - it appears without colon ":". I know stylus allows code without colons and brackets but that should be configurable because some people still want to type code with colons and brackets
This really needs some more work. Stylus is my preprocessor of choice, but I'm forced to use SASS or LESS because of the syntax-highlighting and inspection issues, and lacking color options available with this plugin. I will submit a bug report if necessary, but really if you open a styl file that uses half the features and syntax available for Stylus, you will clearly see this plugin falling short. Please get this thing working! :)
Does not work well with rupture, reports error on + sign +below +above etc.
Found the bug for it! Already submitted. WEB-11474 Not support placeholders in stylus.
To add to my last comment, the bug is more having to do with '$' symbol which is Stylus' placeholder selector for @extend.
For build 133.74. on PHPStorm, adding curly braces shows syntax errors in .styl files. Example: $foo { color: #FFF; } Example 2: .bar { background: #000; @extends $foo; }
same problem linux x11 jdk7u51. uninstall/reinstall works. i am able to commit again
Please  sign in  to leave a comment.